Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046461
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Retail APImajoralways2021-05-03 13:102021-05-05 11:12
ReporterguillermogilView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR21Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046461: unitDiscount property in swagger is set as not mandatory

DescriptionunitDiscount property in swagger is set as not mandatory and it is mandatory:
"error": {
            "message": "Checking promotion: property not found unitDiscount on json {\"name\":\"10% Internet\",\"discountRule\":\"Normal\",\"amount\":16.11,\"quantity\":1}",
            "messageType": "Error",
            "title": ""
        }
Steps To ReproduceOpen swagger and check discount property: https://livebuilds.openbravo.com/retail_modules_pgsql_pi/api?urls.primaryName=orderloader [^]
See attached screenshot
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2021-05-03 13-07-33.png [^] (30,211 bytes) 2021-05-03 13:10

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0127793)
hgbot (developer)
2021-05-05 07:41

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/395 [^]
(0127813)
hgbot (developer)
2021-05-05 11:12

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/395 [^]
(0127814)
hgbot (developer)
2021-05-05 11:12

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: f02bb11e7ce944657bbbfd8675e4adcabf973f3a
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-05-05T09:11:44+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/f02bb11e7ce944657bbbfd8675e4adcabf973f3a [^]

Fixed ISSUE-46461: Updated OrderLoader Swagger to add unitDiscount mandatory in Promotion

---
M api/org.openbravo.retail.posterminal-orderloader.yml
---

- Issue History
Date Modified Username Field Change
2021-05-03 13:10 guillermogil New Issue
2021-05-03 13:10 guillermogil Assigned To => Retail
2021-05-03 13:10 guillermogil Triggers an Emergency Pack => No
2021-05-03 13:10 guillermogil File Added: Screenshot from 2021-05-03 13-07-33.png
2021-05-04 07:27 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2021-05-04 07:31 ranjith_qualiantech_com Status new => scheduled
2021-05-05 07:41 hgbot Note Added: 0127793
2021-05-05 11:12 hgbot Note Added: 0127813
2021-05-05 11:12 hgbot Resolution open => fixed
2021-05-05 11:12 hgbot Status scheduled => closed
2021-05-05 11:12 hgbot Fixed in Version => RR21Q3
2021-05-05 11:12 hgbot Note Added: 0127814


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker